unknown statement object type name: de.wcflabs.jcoins.statement.reaction

  • Nach dem Update auf Version 5.5.0 gibt es folgende Fehlermeldung, wenn man auf einen Beitrag reagieren will:

  • Es gab seit recht vielen Versionen inkl. 5.5.0 diesbezüglich keine Änderungen. Weder wurde der Code geändert, noch etwas an den ObjectTypes. Warum der jetzt fehlt, kann ich mir nicht erklären. Hier funktioniert es auch einwandfrei und der Fehler lässt sich nicht reproduzieren.


    Von welcher JCoins-Version erfolgte das Update?

    Tritt der Fehler reproduzierbar auf? Ändert Cache leeren etwas?

    Taucht in ACP - Benutzer - JCoins - JCoins-Einkünfte Reaktion/Reaktion revidiert auf?

  • UdoZ

    Added the Label Warte auf Antwort
  • Von welcher JCoins-Version erfolgte das Update?

    Wenn ich das richtig aus dem Backup erkennen kann, müsste es 5.4.0 pl 2 gewesen sein.

    Tritt der Fehler reproduzierbar auf? Ändert Cache leeren etwas?

    Ja, jedes Mal. Auch nach Löschen des Daches.

    Taucht in ACP - Benutzer - JCoins - JCoins-Einkünfte Reaktion/Reaktion revidiert auf?

    Nein. Das, was da am nächsten ran kommt, ist Like/Like revidiert.

  • Wenn ich das richtig aus dem Backup erkennen kann, müsste es 5.4.0 pl 2 gewesen sein.

    Ja, 5.4.0 pl 2 wäre die letzte Version gewesen.

    Nein. Das, was da am nächsten ran kommt, ist Like/Like revidiert.

    Aus irgendeinem Grund scheint der ObjectType de.wcflabs.jcoins.statement.reaction dann tatsächlich nicht da zu sein. Und Like sollte seit der ersten JCoins-Version für WSC 5.2 (!) gar nicht mehr auftauchen; wurde durch Reaktion ersetzt.

    Aber das kann doch eigentlich nicht sein. Und ich sehe nicht, dass das aktuelle Update irgendetwas damit zu tun hat. Es gibt z.B. ganz banal keine Update-Anweisung, irgendetwas etwas an den ObjectTypes zu verändern. Zudem hätte der Fehler schon unter JCoins 5.4.0 pl 2 auftauchen müssen. Das muss also einen anderen Grund haben. Ich habe aber noch keine Ahnung, was.


    Ich würde mir das gerne mal in Datenbank und Dateisystem anschauen.

  • Hm, eventuell liegt es daran, dass ich mal Updates übersprungen habe, als ich die WoltLab Suite von 5.0.x auf 5.4.x aktualisierte, da der Update-Pfad dort nicht funktionierte. Ich schau mal, dass ich mir das Plugin vom Eigentümer zukommen lasse, sodass ich es über die Entwickler-Werkzeuge einmal importieren kann, das dürfte dieses Problem dann auch lösen.

  • UdoZ

    Set the Label from Warte auf Antwort to Cannot reproduce